Subject: Re: [netconf] WGLC on draft-ietf-netconf-ssh-client-server

From: Kent Watsen <[email-masked]>
Date: Thu, 1 Apr 2021 16:39:46 +0000

[Just back from PTO]

Hi Michal,

> Hi,
> 
> I have raised some questions regarding this draft on the 5th of March and even though I got the email bounced back from [email-masked], I did not get any replies and cannot find it in the archive. In any case, the original email is below.

Strange.  Here’s my response from  before: https://mailarchive.ietf.org/arch/msg/netconf/4gXyyI5SB0jWVXz1qpOAlt1e-qM/ <https://mailarchive.ietf.org/arch/msg/netconf/4gXyyI5SB0jWVXz1qpOAlt1e-qM/>

Cheers,
Kent

> 
> I had a chance to look at these modules again and have 2 questions regarding some recent changes.
> 
> - ietf-ssh-server, ssh-server-grouping/client-authentication/supported-authentication-methods
> 
> Since the "other" leaf-list was removed there is no way to support some other methods than those specified. I am not sure whether this was the intention and if so, what is the reason for it? If nothing else, we support "interactive" authentication method but there are some others that I see no reason why they could not be used. For a robust and extendible solution, why not use an identityref leaf-list with all the methods as identities? One could then simply add new ones with specific "if-feature" statements.
> 
> - ietf-netconf-server, grouping netconf-server-grouping/client-identity-mappings
> 
> The "if-feature" on this container is strange. The practical problem is that if one wants to support certificates only for TLS, both one of the TLS features and "ssh-x509-certs" must be enabled. This then results in the container being defined for both SSH and TLS so there is no way to support it only for TLS or SSH.
> 
> Thanks for any input.
> 
> Regards,
> Michal
> 
> On Friday, March 26, 2021 23:30 CET, Mahesh Jethanandani <[email-masked]> wrote: 
> 
>> We are starting a 2 week WGLC for draft-ietf-netconf-ssh-client-server version 23.
>> 
>> https://datatracker.ietf.org/doc/draft-ietf-netconf-ssh-client-server/ <https://datatracker.ietf.org/doc/draft-ietf-netconf-sztp-csr/>
>> 
>> Please respond on this thread indicating your support or concerns about why this document should/should not be adopted.
>> 
>> We are particularly interested in statement of the form:
>> 
>> - I have reviewed the draft and found no issues. 
>> - I have reviewed the draft and found the following issues …
>> 
>> This WGLC will conclude on Friday, April 9. An IPR call will be issued separately.
>> 
>> Thank you.
>> 
>> Mahesh & Kent (as co-chairs)
>> 
>> 
>> 
>> 
>> 
>> 
> 
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf